<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.rongwei.bscommon.sys.dao.SrmEightDPlanlistDao">
    <resultMap id="BaseResultMap" type="com.rongwei.bsentity.domin.SrmEightDPlanlistDo">
        <id column="ID" jdbcType="VARCHAR" property="id"/>
        <result column="TENANTID" jdbcType="VARCHAR" property="tenantid"/>
        <result column="ROPTION" jdbcType="VARCHAR" property="roption"/>
        <result column="DELETED" jdbcType="VARCHAR" property="deleted"/>
        <result column="REMARK" jdbcType="VARCHAR" property="remark"/>
        <result column="CREATEDATE" jdbcType="TIMESTAMP" property="createdate"/>
        <result column="CREATEUSERID" jdbcType="VARCHAR" property="createuserid"/>
        <result column="MODIFYDATE" jdbcType="TIMESTAMP" property="modifydate"/>
        <result column="MODIFYUSERID" jdbcType="VARCHAR" property="modifyuserid"/>
        <result column="CREATEUSERNAME" jdbcType="VARCHAR" property="createusername"/>
        <result column="MODIFYUSERNAME" jdbcType="VARCHAR" property="modifyusername"/>
        <result column="GROUPMRMBRR" jdbcType="VARCHAR" property="groupmrmbrr"/>
        <result column="CORRECTIVEACTION" jdbcType="VARCHAR" property="correctiveaction"/>
        <result column="RESPONSIBLEPERSON" jdbcType="VARCHAR" property="responsibleperson"/>
        <result column="PLANENDTIME" jdbcType="TIMESTAMP" property="planendtime"/>
        <result column="CAUSEDESCRIPTION" jdbcType="VARCHAR" property="causedescription"/>
        <result column="REALPLANENDTIME" jdbcType="TIMESTAMP" property="realplanendtime"/>
        <result column="ISSUESTATUS" jdbcType="VARCHAR" property="issuestatus"/>
        <result column="ROLEID" jdbcType="VARCHAR" property="roleid"/>
        <result column="EDLISTID" jdbcType="VARCHAR" property="edlistid"/>
        <result column="PLANNUMBER" jdbcType="INTEGER" property="plannumber"/>
    </resultMap>
    <sql id="Base_Column_List">
        ${alias}ID AS ${prefix}ID, ${alias}TENANTID AS ${prefix}TENANTID, ${alias}ROPTION AS ${prefix}ROPTION,
        ${alias}DELETED AS ${prefix}DELETED, ${alias}REMARK AS ${prefix}REMARK, ${alias}CREATEDATE AS ${prefix}CREATEDATE,
        ${alias}CREATEUSERID AS ${prefix}CREATEUSERID, ${alias}MODIFYDATE AS ${prefix}MODIFYDATE, ${alias}MODIFYUSERID AS ${prefix}MODIFYUSERID,
        ${alias}CREATEUSERNAME AS ${prefix}CREATEUSERNAME, ${alias}MODIFYUSERNAME AS ${prefix}MODIFYUSERNAME,
        ${alias}GROUPMRMBRR AS ${prefix}GROUPMRMBRR, ${alias}CORRECTIVEACTION AS ${prefix}CORRECTIVEACTION, ${alias}RESPONSIBLEPERSON AS ${prefix}RESPONSIBLEPERSON,
        ${alias}PLANENDTIME AS ${prefix}PLANENDTIME, ${alias}CAUSEDESCRIPTION AS ${prefix}CAUSEDESCRIPTION,
        ${alias}REALPLANENDTIME AS ${prefix}REALPLANENDTIME, ${alias}ISSUESTATUS AS ${prefix}ISSUESTATUS, ${alias}ROLEID AS ${prefix}ROLEID,
        ${alias}EDLISTID AS ${prefix}EDLISTID,${alias}PLANNUMBER AS ${prefix}PLANNUMBER
    </sql>
</mapper>
